Name:           perl-Pod-Simple
Epoch:          1
Version:        3.42
Release:        1
Summary:        The framework for parsing Pod
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Simple
Source0:        https://cpan.metacpan.org/authors/id/K/KH/KHW/Pod-Simple-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl coreutils make findutils perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(vars)
BuildRequires:  perl(strict) perl(Carp) perl(Config) perl(Cwd) perl(Encode) perl(File::Basename) perl(File::Spec)
BuildRequires:  perl(Getopt::Long) perl(integer) perl(overload) perl(Pod::Escapes) perl(Symbol) perl(Text::Wrap) perl(warnings)
BuildRequires:  perl(base) perl(Data::Dumper) perl(File::Find) perl(File::Path) perl(lib) perl(Test) perl(Test::More) 
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Pod::Simple is a Perl library for parsing text in the Pod ("plain old documentation") 
markup language that is typically used for writing documentation for Perl and for Perl 
modules. The Pod format is explained in perlpod; the most common formatter is called 
perldoc.

%package_help

%prep
%autosetup -n Pod-Simple-%{version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%{_mandir}/man3/*

%changelog
* Tue Jan 26 2021 liudabo <liudabo1@huawei.com> - 1:3.42-1
- upgrade version to 3.42

* Sat Jul 25 2020 zhanzhimin <zhanzhimin@hauwei.com> - 1:3.40-1
- update to 3.40

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:3.35:418
- Package init

